clang 8.0.0

Public Member Functions | Static Public Member Functions | Friends | List of all members
clang::OMPUnifiedAddressClause Class Referencefinal

This represents 'unified_address' clause in the '#pragma omp requires' directive. More...

`#include "clang/AST/OpenMPClause.h"`

Inheritance diagram for clang::OMPUnifiedAddressClause:
[legend]
Collaboration diagram for clang::OMPUnifiedAddressClause:
[legend]

## Public Member Functions
| OMPUnifiedAddressClause (SourceLocation StartLoc, SourceLocation EndLoc)
| Build 'unified_address' clause. More...
| OMPUnifiedAddressClause ()
| Build an empty clause. More...
child_range | children ()
Public Member Functions inherited from clang::OMPClause
SourceLocation | getBeginLoc () const
| Returns the starting location of the clause. More...
SourceLocation | getEndLoc () const
| Returns the ending location of the clause. More...
void | setLocStart (SourceLocation Loc)
| Sets the starting location of the clause. More...
void | setLocEnd (SourceLocation Loc)
| Sets the ending location of the clause. More...
OpenMPClauseKind | getClauseKind () const
| Returns kind of OpenMP clause (private, shared, reduction, etc.). More...
bool | isImplicit () const
child_range | children ()
const_child_range | children () const

## Static Public Member Functions
static bool | classof (const OMPClause *T)
Static Public Member Functions inherited from clang::OMPClause
static bool | classof (const OMPClause *)

## Friends
class | OMPClauseReader

## Additional Inherited Members
Public Types inherited from clang::OMPClause
using | child_iterator = StmtIterator
using | const_child_iterator = ConstStmtIterator
using | child_range = llvm::iterator_range< child_iterator >
using | const_child_range = llvm::iterator_range< const_child_iterator >
Protected Member Functions inherited from clang::OMPClause
| OMPClause (OpenMPClauseKind K, SourceLocation StartLoc, SourceLocation EndLoc)

## Detailed Description

This represents 'unified_address' clause in the '#pragma omp requires' directive.

#pragma omp requires unified_address

In this example directive '#pragma omp requires' has 'unified_address' clause.

Definition at line 745 of file OpenMPClause.h.

## Constructor & Destructor Documentation

## ◆ OMPUnifiedAddressClause() [1/2]

clang::OMPUnifiedAddressClause::OMPUnifiedAddressClause | ( | SourceLocation | StartLoc,
|  | SourceLocation | EndLoc
| ) |  |
| inline

Build 'unified_address' clause.

Parameters

  StartLoc | Starting location of the clause.
  EndLoc | Ending location of the clause.

Definition at line 752 of file OpenMPClause.h.

## ◆ OMPUnifiedAddressClause() [2/2]

clang::OMPUnifiedAddressClause::OMPUnifiedAddressClause | ( |  | ) |
| inline

Build an empty clause.

Definition at line 756 of file OpenMPClause.h.

## Member Function Documentation

## ◆ children()

child_range clang::OMPUnifiedAddressClause::children | ( |  | ) |
| inline

Definition at line 759 of file OpenMPClause.h.

## ◆ classof()

static bool clang::OMPUnifiedAddressClause::classof | ( | const OMPClause * | T | ) |
| inline static

Definition at line 763 of file OpenMPClause.h.

References clang::OMPClause::getClauseKind().

## Friends And Related Function Documentation

## ◆ OMPClauseReader

friend class OMPClauseReader
| friend

Definition at line 747 of file OpenMPClause.h.

The documentation for this class was generated from the following file:

- include/clang/AST/OpenMPClause.h